Bug 195736 - RMAIL in emacs mail broken by patches
Summary: RMAIL in emacs mail broken by patches
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: emacs   
(Show other bugs)
Version: rhl9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL:
Whiteboard: LEGACY, 9
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-16 21:49 UTC by Charles Knox
Modified: 2007-08-30 19:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-30 19:57:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Charles Knox 2006-06-16 21:49:42 UTC
Description of problem:
After applying the newest legacy patch for emacs under RH9 my two users that 
live in emacs mail report that their outgoing mail no longer has a subject line 
that is readable by the recipient.  This can be shown by a cut and paste from 
my elm window:

   OM 1676 Jun 16   ZDNet Must-Read Ne (458)  New Excel zero-day flaw used in 
attacks  | ZD
     1677 Jun 16   Heather Morrison   
(24)                                                
     1678 Jun 16   Heather Morrison   (97)   


where the two mails from Heather are without a subject.   When the mail is 
opened, the subject line appears at the start of the body of the mail:

Message 1677/1688  From Heather Morrison                       Jun 16, 06 
03:43:27 PM -0400


Return-Path: <heather@vegemite.astr.cwru.edu>
Date: Fri, 16 Jun 2006 15:43:27 -0400
To: knox@grendel.astr.cwru.edu
X-Status: 
X-Keywords:                 
X-UID: 8759

From: Heather Morrison <heather@vegemite.astr.cwru.edu>
To: knox@grendel.astr.cwru.edu
Subject: testing





Version-Release number of selected component (if applicable):


How reproducible:  
This happens on both machines that I have running RH9 with the legacy patches 
applied, which are used as primay mail machines for folks that do all their 
mail in emacs


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:  Restoring the older RPMs restores the original funtionality

Comment 1 David Eisenstein 2006-06-17 00:18:06 UTC
Thanks for bringing this to our attention, Charles.  It would look like the
patches introduced a bug that splits the email header.

Let me confirm with you -- The version-release of Emacs in which you are
seeing this problem is emacs-21.2-34.legacy, and the prior version you revert
to is emacs-21.2-33?  Thanks.

Comment 2 Charles Knox 2006-06-17 02:42:26 UTC
As a confirmation, the currently installed and working emacs is:
[root@vegemite root]# rpm -qa | more | grep emacs
emacs-21.2-33
emacs-leim-21.2-33
emacs-el-21.2-33
[root@vegemite root]# 


The version I had previously installed was:
[root@vegemite root]# yum list | grep emacs

[root@vegemite root]# yum list | grep emacs
(list edited to make the point)
emacs                               i386   21.2-34.legacy           updates-
released
emacs-el                            i386   21.2-34.legacy           updates-
released
emacs-leim                          i386   21.2-34.legacy           updates-
released

Charley Knox
Dept. of Astronomy; Case Western Reserve University

Comment 3 william hanlon 2007-01-30 05:50:17 UTC
I have just installed FC6 and now have this very annoying problem problem as well.

My emacs packages:

rpm -qa | grep emacs
emacs-auctex-el-11.84-2.fc6
emacs-muse-el-3.02.93-3.fc6
emacs-auctex-11.84-2.fc6
emacs-muse-3.02.93-3.fc6
emacs-21.4-17
emacs-common-muse-3.02.93-3.fc6
emacs-vm-7.19-4.fc6
emacs-leim-21.4-17
emacs-common-21.4-17
emacs-nox-21.4-17
gnuplot-emacs-4.0.0-12
emacs-auctex-doc-11.84-2.fc6
emacs-gtypist-2.7-4.fc6
emacs-el-21.4-17
emacs-vm-el-7.19-4.fc6

from emacs (M-x version): GNU Emacs 21.4.1 (i686-redhat-linux-gnu, X toolkit,
Xaw3d scroll bars) of 2006-08-03 on ls20-bc2-14.build.redhat.com.

Comment 4 william hanlon 2007-02-01 19:57:20 UTC
It's been pointed out to me that a work around is to use the SMTPmail package,
since this problem, for my version of emacs, is confined only to the emacs
Sendmail package. This is done by making the following change in .emacs:

(setq send-mail-function `smtpmail-send-it)

I also set the following variables as well:

smtpmail-default-smtp-server
smtpmail-auth-credentials

The discussion can be found at http://forums.fedoraforum.org/showthread.php?t=146106

Comment 5 Jesse Keating 2007-08-30 19:57:34 UTC
Fedora Legacy project has ended.  These will not be fixed by Fedora Legacy.


Note You need to log in before you can comment on or make changes to this bug.